Robot Simulator of the Robotics Group for Self-Organization of Control: RobotCameraManager Class Reference

# RobotCameraManager Class Reference

Manages camera sensors. More...

`#include <robotcameramanager.h>`

List of all members.

## Classes
struct | Overlay
struct | RobotCam
## Public Member Functions
| RobotCameraManager (int windowWidth, int windowHeight)
virtual void | addCamera (Camera *cam)
virtual void | removeCamera (Camera *cam)
virtual osg::Group * | getDisplay ()
virtual osg::Group * | getOffScreen ()
virtual bool | handle (const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &aa, osg::Object *o, osg::NodeVisitor *nv)
virtual void | getUsage (osg::ApplicationUsage &) const
## Protected Member Functions
virtual void | updateView ()
## Protected Attributes
osg::ref_ptr< osg::Group > | display
osg::ref_ptr< osg::Group > | offscreen
RobotCams | cameras
bool | enabled
float | scale
int | windowWidth
int | windowHeight

## Detailed Description

Manages camera sensors.

The cameras are rendered to texture offscreen, meaning independent of the normal graphical rendering. Additionally the view of the cameras is displayed as an overlay.

## Constructor & Destructor Documentation

RobotCameraManager | ( | int | windowWidth,
|  | int | windowHeight |
| ) |  |  |

## Member Function Documentation

void addCamera | ( | Camera * | cam | ) | `[virtual]`

virtual osg::Group* getDisplay | ( |  | ) | `[inline, virtual]`

virtual osg::Group* getOffScreen | ( |  | ) | `[inline, virtual]`

void getUsage | ( | osg::ApplicationUsage & | au | ) | const`[virtual]`

bool handle | ( | const osgGA::GUIEventAdapter & | ea,
|  | osgGA::GUIActionAdapter & | aa,
|  | osg::Object * | o,
|  | osg::NodeVisitor * | nv |
| ) |  |  | `[virtual]`

void removeCamera | ( | Camera * | cam | ) | `[virtual]`

void updateView | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

RobotCams cameras`[protected]`

osg::ref_ptr<osg::Group> display`[protected]`

bool enabled`[protected]`

osg::ref_ptr<osg::Group> offscreen`[protected]`

float scale`[protected]`

int windowHeight`[protected]`

int windowWidth`[protected]`

The documentation for this class was generated from the following files:

- robotcameramanager.h
- robotcameramanager.cpp